org.wildfly.swarm.config.jca

## Class DistributedWorkmanager<T extends DistributedWorkmanager<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.jca.DistributedWorkmanager<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class DistributedWorkmanager<T extends DistributedWorkmanager<T>>
      extends HashMap

  DistributedWorkManager for resource adapters
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DistributedWorkmanager.DistributedWorkmanagerResources` Child mutators for DistributedWorkmanager
    `static class` | `DistributedWorkmanager.Policy`
    `static class` | `DistributedWorkmanager.Selector`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedWorkmanager(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `longRunningThreads(List<LongRunningThreads> value)` Add all LongRunningThreads objects to this subresource
    `T` | `longRunningThreads(LongRunningThreads value)` Add the LongRunningThreads object to the list of subresources
    `T` | `longRunningThreads(LongRunningThreadsSupplier supplier)` Install a supplied LongRunningThreads object to the list of subresources
    `T` | `longRunningThreads(String childKey)` Create and configure a LongRunningThreads object to the list of subresources
    `T` | `longRunningThreads(String childKey, LongRunningThreadsConsumer consumer)` Create and configure a LongRunningThreads object to the list of subresources
    `String` | `name()` The name of the DistributedWorkManager
    `T` | `name(String value)` The name of the DistributedWorkManager
    `DistributedWorkmanager.Policy` | `policy()` The policy decides when to redistribute a Work instance
    `T` | `policy(DistributedWorkmanager.Policy value)` The policy decides when to redistribute a Work instance
    `T` | `policyOption(String key, Object value)` List of policy's options key/value pairs
    `Map` | `policyOptions()` List of policy's options key/value pairs
    `T` | `policyOptions(Map value)` List of policy's options key/value pairs
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `DistributedWorkmanager.Selector` | `selector()` The selector decides to which nodes in the network to redistribute the Work instance to
    `T` | `selector(DistributedWorkmanager.Selector value)` The selector decides to which nodes in the network to redistribute the Work instance to
    `T` | `selectorOption(String key, Object value)` List of selector's options key/value pairs
    `Map` | `selectorOptions()` List of selector's options key/value pairs
    `T` | `selectorOptions(Map value)` List of selector's options key/value pairs
    `T` | `shortRunningThreads(List<ShortRunningThreads> value)` Add all ShortRunningThreads objects to this subresource
    `T` | `shortRunningThreads(ShortRunningThreads value)` Add the ShortRunningThreads object to the list of subresources
    `T` | `shortRunningThreads(ShortRunningThreadsSupplier supplier)` Install a supplied ShortRunningThreads object to the list of subresources
    `T` | `shortRunningThreads(String childKey)` Create and configure a ShortRunningThreads object to the list of subresources
    `T` | `shortRunningThreads(String childKey, ShortRunningThreadsConsumer consumer)` Create and configure a ShortRunningThreads object to the list of subresources
    `DistributedWorkmanager.DistributedWorkmanagerResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### DistributedWorkmanager

          public DistributedWorkmanager(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public DistributedWorkmanager.DistributedWorkmanagerResources subresources()

    - #### longRunningThreads

          public T longRunningThreads(List<LongRunningThreads> value)

      Add all LongRunningThreads objects to this subresource
      Parameters:
        `value` - List of LongRunningThreads objects.
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(LongRunningThreads value)

      Add the LongRunningThreads object to the list of subresources
      Parameters:
        `value` - The LongRunningThreads to add
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(String childKey,
                                      LongRunningThreadsConsumer consumer)

      Create and configure a LongRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the LongRunningThreads resource
        `config` - The LongRunningThreadsConsumer to use
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(String childKey)

      Create and configure a LongRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the LongRunningThreads resource
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(LongRunningThreadsSupplier supplier)

      Install a supplied LongRunningThreads object to the list of subresources

    - #### shortRunningThreads

          public T shortRunningThreads(List<ShortRunningThreads> value)

      Add all ShortRunningThreads objects to this subresource
      Parameters:
        `value` - List of ShortRunningThreads objects.
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(ShortRunningThreads value)

      Add the ShortRunningThreads object to the list of subresources
      Parameters:
        `value` - The ShortRunningThreads to add
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(String childKey,
                                       ShortRunningThreadsConsumer consumer)

      Create and configure a ShortRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the ShortRunningThreads resource
        `config` - The ShortRunningThreadsConsumer to use
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(String childKey)

      Create and configure a ShortRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the ShortRunningThreads resource
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(ShortRunningThreadsSupplier supplier)

      Install a supplied ShortRunningThreads object to the list of subresources

    - #### name

          public String name()

      The name of the DistributedWorkManager

    - #### name

          public T name(String value)

      The name of the DistributedWorkManager

    - #### policy

          public DistributedWorkmanager.Policy policy()

      The policy decides when to redistribute a Work instance

    - #### policy

          public T policy(DistributedWorkmanager.Policy value)

      The policy decides when to redistribute a Work instance

    - #### policyOptions

          public Map policyOptions()

      List of policy's options key/value pairs

    - #### policyOptions

          public T policyOptions(Map value)

      List of policy's options key/value pairs

    - #### policyOption

          public T policyOption(String key,
                                Object value)

      List of policy's options key/value pairs

    - #### selector

          public DistributedWorkmanager.Selector selector()

      The selector decides to which nodes in the network to redistribute the Work instance to

    - #### selector

          public T selector(DistributedWorkmanager.Selector value)

      The selector decides to which nodes in the network to redistribute the Work instance to

    - #### selectorOptions

          public Map selectorOptions()

      List of selector's options key/value pairs

    - #### selectorOptions

          public T selectorOptions(Map value)

      List of selector's options key/value pairs

    - #### selectorOption

          public T selectorOption(String key,
                                  Object value)

      List of selector's options key/value pairs

Copyright © 2017 JBoss by Red Hat. All rights reserved.